## org.h2.test.bench
Interface Bench

All Known Implementing Classes:
  BenchA, BenchB, BenchC, BenchSimple

    public interface Bench

The interface for benchmark tests.

Method Summary
`java.lang.String` `getName()` Get the name of the test.
`void` `init(org.h2.test.bench.Database db, int size)` Initialize the database.
`void` `runTest()` Run the test.

Method Detail

### init

    void init(org.h2.test.bench.Database db,
              int size)
              throws java.sql.SQLException

  Initialize the database. This includes creating tables and inserting data.

  Parameters:
    `db` - the database object
    `size` - the amount of data
  Throws:
    `java.sql.SQLException`

### runTest

    void runTest()
                 throws java.lang.Exception

  Run the test.

  Throws:
    `java.lang.Exception`

### getName

    java.lang.String getName()

  Get the name of the test.

  Returns:
    the test name